Bug 2683 - Highlight actionable items for editor in Review and Editing tables
Highlight actionable items for editor in Review and Editing tables
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.2
Macintosh Mac OS X 10.0
: P1 normal
Assigned To: PKP Support
http://pkp.sfu.ca/ojs/demo/present/in...
Depends on: 2964
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 13:04 PST by John Willinsky
Modified: 2007-10-15 10:03 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against pre-2.2 CVS (17.82 KB, patch)
2007-09-26 16:22 PDT, Alec Smecher
Details | Diff
Patch against pre-2.2 CVS: Additional conditions (3.29 KB, patch)
2007-09-27 12:25 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Willinsky 2007-03-01 13:04:58 PST
Provide pale yellow highlighting for submissions in need of action re following rules.
1. A reviewer has yet to have a request sent.
2. Requested reviews are complete, and there is no editor decision.
3. A review is two weeks or more overdue.
4. An author has uploaded an Author Version, and there has been no further editor decision or subsequent Editor/Author email.

ADD TO BOTTOM OF TABLE
........
1-10 of 10 Items    Highlighted submissions are in need of editorial action.

FURTHER table fidgeting.Space between DUE and DONE should be the same as between ASK and DUE, whereas now DUE/DONE is larger (look at dates, not the column titles), and it suggests that DONE is not part of the Peer Review.
Comment 1 John Willinsky 2007-03-01 13:17:47 PST
Actionable items in Editing Table (Previous instructions for In Review table)
http://pkp.sfu.ca/ojs/demo/present/index.php/demojournal/editor/submissions/submissionsInEditing
Provide pale yellow highlighting for submissions in need of action re following
rules.
Copyedit
1. C/E Request in Steps 1 and 3 has been sent but no Underway for 2 weeks.
2. Author Request has been sent but no Underway for 2 weeks.
3. In Steps 1-3, Underway but no complete for 2 weeks.
3. Complete but no Acknowledgement.
Layout
4. Layout Request has been sent but no Underway for 2 weeks.
5. Complete but no Acknowledgement.
6. Underway but no complete for 2 weeks.
Proofreading
7. Author, Proofreader and Layout Request has been sent but no Underway for 2 weeks.
6. Underway but no complete for 2 weeks.
8. Complete but no Acknowledgement.
Comment 2 Alec Smecher 2007-07-31 11:03:32 PDT
Bug #2964 will introduce highlighting.
Comment 3 Alec Smecher 2007-09-26 16:22:09 PDT
Implemented. John, what about the following situations:

- Submission has been accepted, but Editor has not yet assigned or notified Copyeditor (if copyeditors are used)

- Submission has completed copyediting, but Editor has not yet assigned or notified Layout Editor (if layout editors are used)

- Submission has completed layout, but Editor has not yet initiated proofreading
Comment 4 Alec Smecher 2007-09-26 16:22:35 PDT
Created attachment 284 [details]
Patch against pre-2.2 CVS
Comment 5 John Willinsky 2007-09-26 21:53:49 PDT
The following need highlighting...

- Submission has been accepted, but Editor has not yet assigned or notified
Copyeditor (if copyeditors are used)

- Submission has completed copyediting, but Editor has not yet assigned or
notified Layout Editor (if layout editors are used)

- Submission has completed layout, but Editor has not yet initiated
proofreading
Comment 6 Alec Smecher 2007-09-27 12:25:19 PDT
Created attachment 286 [details]
Patch against pre-2.2 CVS: Additional conditions
Comment 7 Alec Smecher 2007-09-27 12:25:35 PDT
Implemented additional conditions.
Comment 8 Alec Smecher 2007-10-15 10:03:51 PDT
If this entry is ever back-ported into OCS 2.x, bug #3061 should be back-ported too (simple change to locale/en_US/locale.xml to include note about highlighting)